cURL
curl --request POST \
--url https://api.useanima.sh/v1/oauth/register \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"redirect_uris": [
"<string>"
],
"client_name": "Unnamed MCP Client",
"client_uri": "<string>",
"logo_uri": "<string>",
"policy_uri": "<string>",
"tos_uri": "<string>",
"grant_types": [
"<string>"
],
"response_types": [
"<string>"
],
"token_endpoint_auth_method": "<string>",
"scope": "<string>"
}
'import requests
url = "https://api.useanima.sh/v1/oauth/register"
payload = {
"redirect_uris": ["<string>"],
"client_name": "Unnamed MCP Client",
"client_uri": "<string>",
"logo_uri": "<string>",
"policy_uri": "<string>",
"tos_uri": "<string>",
"grant_types": ["<string>"],
"response_types": ["<string>"],
"token_endpoint_auth_method": "<string>",
"scope": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
redirect_uris: ['<string>'],
client_name: 'Unnamed MCP Client',
client_uri: '<string>',
logo_uri: '<string>',
policy_uri: '<string>',
tos_uri: '<string>',
grant_types: ['<string>'],
response_types: ['<string>'],
token_endpoint_auth_method: '<string>',
scope: '<string>'
})
};
fetch('https://api.useanima.sh/v1/oauth/register', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"client_id": "<string>",
"client_id_issued_at": 123,
"client_name": "<string>",
"redirect_uris": [
"<string>"
],
"grant_types": [
"<string>"
],
"response_types": [
"<string>"
],
"token_endpoint_auth_method": "none",
"scope": "<string>"
}{
"defined": true,
"code": "VALIDATION_ERROR",
"status": 400,
"message": "VALIDATION_ERROR",
"data": "<unknown>"
}API Reference
Post oauthregister
POST
/
oauth
/
register
cURL
Authorizations
BearerAuthApiKeyAuth
JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer
Body
application/json
RFC 7591 Dynamic Client Registration request
Required array length:
1 - 20 elementsRequired string length:
1 - 120⌘I
